<jw301:Naam>
[%-
voorvoegsel = '';
IF natuurlijk_persoon.defined('voorvoegsel');
  voorvoegsel = natuurlijk_persoon.voorvoegsel;
END -%]
[%- INCLUDE "common/cdt_achternaam.xml"
   type        = "Geslachtsnaam"
   naam        = natuurlijk_persoon.geslachtsnaam
   naamcode    = 1
%]

[%- IF natuurlijk_persoon.defined('partner_a_nummer');
  voorvoegsel = '';
  IF natuurlijk_persoon.defined('partner_voorvoegsel');
  voorvoegsel = natuurlijk_persoon.partner_voorvoegsel;
  END %]
  [%- INCLUDE "common/cdt_achternaam.xml"
     type        = "Geslachtsnaam"
     naam        = natuurlijk_persoon.partner_geslachtsnaam
     naamcode    = 1
  %]
[%- END %]
[%- IF natuurlijk_persoon.defined('voorletters') %]
<ijw:Voorletters>[% natuurlijk_persoon.voorletters | xml %]</ijw:Voorletters>
[%- END %]
[%- naamcode = 1;
IF natuurlijk_persoon.defined('aanduiding_naamgebruik');
  SWITCH natuurlijk_persoon.aanduiding_naamgebruik;
    CASE 'naam-partner'; naamcode = 2;
    CASE 'partner-eerst'; naamcode = 3;
    CASE 'partner-laatst'; naamcode = 4;
    CASE 'pseudoniem'; naamcode = 5;
END; END -%]
<ijw:NaamGebruik>[% naamcode | xml %]</ijw:NaamGebruik>
</jw301:Naam>
